<template>
  <div>
    <div class="text-center">
      <v-menu
        v-model="menu"
        :close-on-content-click="false"
        :nudge-width="300"
        offset-x
      >
        <template v-slot:activator="{ on }">
          <v-avatar color="indigo" size="40" v-on="on">
            <span class="white--text headline default">
              {{ fullName | shortName }}
            </span>
          </v-avatar>
        </template>

        <v-card>
          <v-list>
            <v-list-item>
              <v-list-item-avatar>
                <v-avatar color="indigo" size="40">
                  <span class="white--text headline">{{
                    fullName | shortName
                  }}</span>
                </v-avatar>
              </v-list-item-avatar>

              <v-list-item-content>
                <v-list-item-title>{{ fullName }}</v-list-item-title>
                <v-list-item-subtitle>
                  <v-icon>mdi-face</v-icon>: {{ role }}
                </v-list-item-subtitle>
              </v-list-item-content>
            </v-list-item>
          </v-list>

          <v-divider></v-divider>

          <v-list nav>
            <v-list-item>
              <v-list-item-title>
                <v-btn class="menu-list-item" block text @click="dialog = true">
                  Logout
                </v-btn>
              </v-list-item-title>
            </v-list-item>
          </v-list>
        </v-card>
      </v-menu>
    </div>
    <v-dialog v-model="dialog" width="360" persistent>
      <v-card>
        <div align="center">
          <v-card-title class="headline">
            {{ textBody }}
          </v-card-title>
        </div>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="success" text @click="logout"> ใช่ </v-btn>
          <v-btn color="error" text @click="dialog = false"> ไม่ใช่ </v-btn>
          <v-spacer></v-spacer>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      fav: true,
      menu: false,
      message: false,
      hints: true,
      role: this.$store.getters["auth/roleUser"],
      fullName: localStorage.getItem("fullName"),
      dialog: false,
      title: "ออกจากระบบ",
      textBody: "คุณต้องการออกจากระบบหรือไม่?",
    };
  },
  methods: {
    async logout() {
      await this.$store.dispatch("auth/logout");
      location.reload();
    },
  },
};
</script>

<style scoped lang="scss">
.menu-list-item:hover {
  background: #fbc02d;
  color: white;
}

.btn-to-info {
  cursor: pointer;
  transition: 0.3s all;
}

.btn-to-info:hover {
  background: rgba(240, 240, 240, 0.521);
}
.default {
  cursor: pointer;
}
</style>
